> ## Documentation Index
> Fetch the complete documentation index at: https://outlit-codex-platform-actions-create-update-cli.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List integrations

> List available integrations and current connection status for the authenticated organization.



## OpenAPI

````yaml /openapi.json get /api/integrations
openapi: 3.1.0
info:
  title: Outlit API
  summary: Public Outlit Platform and Ingest APIs.
  description: >-
    Canonical OpenAPI specification for the public Outlit API surfaces
    documented at docs.outlit.ai.
  version: 1.0.0
servers:
  - url: https://app.outlit.ai
security:
  - bearerAuth: []
tags:
  - name: Platform API
    description: >-
      Authenticated API key routes for customer intelligence tools and
      integration management.
  - name: Ingest API
    description: Public-key event ingestion routes used by Outlit SDKs.
paths:
  /api/integrations:
    get:
      tags:
        - Platform API
      summary: List integrations
      description: >-
        List available integrations and current connection status for the
        authenticated organization.
      operationId: listIntegrations
      parameters:
        - name: connectedOnly
          in: query
          description: When true, only returns currently connected integrations.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Integration list.
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                properties:
                  items:
                    type: array
                    maxItems: 12
                    items:
                      $ref: '#/components/schemas/Integration'
                additionalProperties: false
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Integration:
      type: object
      required:
        - id
        - name
        - category
        - status
      properties:
        id:
          $ref: '#/components/schemas/ProviderId'
        name:
          type: string
        category:
          type: string
          examples:
            - billing
            - crm
            - analytics
        status:
          type: string
          enum:
            - connected
            - not_connected
        connectionId:
          type:
            - string
            - 'null'
        lastDataReceivedAt:
          type:
            - string
            - 'null'
          format: date-time
        syncStatus:
          type:
            - string
            - 'null'
          examples:
            - SUCCESS
        errorMessage:
          type:
            - string
            - 'null'
      additionalProperties: false
    ProviderId:
      type: string
      description: Public integration provider ID.
      enum:
        - hubspot
        - attio
        - slack
        - fireflies
        - granola
        - google-calendar
        - google-mail
        - posthog
        - stripe
        - supabase
        - clerk
        - pylon
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
      additionalProperties: true
    ValidationIssue:
      type: object
      required:
        - path
        - message
      properties:
        path:
          type: array
          items:
            type:
              - string
              - number
        message:
          type: string
      additionalProperties: false
  responses:
    Unauthorized:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Invalid credentials
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Outlit API key using the Bearer ok_... format.

````